package com.bytesw.bytebot.routes;

import org.apache.camel.builder.RouteBuilder;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SFTPRoute extends RouteBuilder {

    @Value("${application.bytebot-integration.ftp.username}")
    private String username;

    @Value("${application.bytebot-integration.ftp.password}")
    private String password;

    @Value("${application.bytebot-integration.ftp.directory:}")
    private String directory;

    @Value("${application.bytebot-integration.ftp.host}")
    private String host;

    @Override
    public void configure() throws Exception {
        from("direct:transferFile")
                .toF("ftp://%s@%s/%s?password=%s&binary=true", username, host, directory, password)
                .log("Transfered file .${file:name} ");
    }
}
